%define upstream_name	 Authen-Radius
%define upstream_version 0.24
%define tarname RadiusPerl 

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:	1

Summary:	Radius authentication interface to Perl 5	

License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildArch:	noarch


%description
RadiusPerl is a Perl 5 module (Radius.pm) which allows you to 
communicate with a Radius server from Perl. You can just authenticate 
usernames/passwords via Radius, or comletely imitate AAA requests 
and process server response.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor 
make OPTIMIZE="%{optflags}" 
# (sb) can't really do this - need a Radius server
#make test

%install
%makeinstall_std 

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/Authen




%changelog

* Tue Nov 10 2015 Denis Silakov <dsilakov@gmail.com> 0.240.0-1
- (900aa0d) Updated to 0.24


